MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003160ATutorLanguagepublic2007-08-20 03:012009-07-21 08:48
ReporterIndieRect 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.5.5 
Target VersionFixed in Version1.6.3 
Summary0003160: i18n: htmlentities() to be banned
DescriptionUsage of htmlentities() in include/html/tests_questions.inc.php breaks strings in some languages.
Replace it with htmlspecialchars(), which appears to perform fine.
Additional Informationhttp://www.atutor.ca/view/3/5739/1.html [^]
This has been already fixed in 1.5.3, but switched back in 1.5.4 for no apparent reason.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002597)
greg (administrator)
2007-12-09 07:49

should be fixed with switch to UTF-8. htmlentities is no langer required. See line 86
(0003447)
IndieRect (reporter)
2008-12-19 00:24

htmlentities() still used in 1.6.2 and as of 8293 in include/html/tests_questions.inc.php and in several other places.
(0003488)
harris (developer)
2009-02-11 10:07

The current htmlentities specify the encoding, such as, htmlentities($row[question], ENT_QUOTES, 'UTF-8')

Does it still break the language?
(0003670)
IndieRect (reporter)
2009-07-01 03:05

I just have tested it in 1.6.2, it doesn't break anything now. You can close this issue.
(0003671)
greg (administrator)
2009-07-02 05:13

Apparently fixed

- Issue History
Date Modified Username Field Change
2007-08-20 03:01 IndieRect New Issue
2007-08-20 03:01 IndieRect Affects version => 1.5.4, SVN
2007-12-09 07:49 greg Status new => resolved
2007-12-09 07:49 greg Fixed in Version => 1.6
2007-12-09 07:49 greg Resolution open => fixed
2007-12-09 07:49 greg Assigned To => greg
2007-12-09 07:49 greg Note Added: 0002597
2008-08-21 08:59 greg Status resolved => closed
2008-12-19 00:24 IndieRect Affects version 1.5.4, SVN => SVN
2008-12-19 00:24 IndieRect Status closed => feedback
2008-12-19 00:24 IndieRect Resolution fixed => reopened
2008-12-19 00:24 IndieRect Note Added: 0003447
2009-02-11 10:07 harris Note Added: 0003488
2009-07-01 03:05 IndieRect Note Added: 0003670
2009-07-02 05:13 greg Status feedback => resolved
2009-07-02 05:13 greg Fixed in Version 1.6 => 1.6.3
2009-07-02 05:13 greg Resolution reopened => fixed
2009-07-02 05:13 greg Note Added: 0003671
2009-07-21 08:48 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker